Page MenuHomePhabricator

Upgrade MediaWiki's Redis cluster to Debian Buster
Closed, ResolvedPublic

Description

Mediawiki's Redis cluster is co-hosted with our memcached cluster (mc* hosts). It is important we migrate this cluster to Debian buster ideally by the end of Q2. It has been an issue for quite some time, how we will upgrade this Redis cluster.

Our options are:

  • Use Redis 5.0, the one that ships with debian buster
  • Use Redis 2.8, the version we are currently running, but we need to port it to debian buster (and maintain) ourselves.

Something to additionally consider is, in case of an upgrade, how this will affect the Redis Lock Manager.

Event Timeline

jijiki triaged this task as Medium priority.Oct 15 2020, 5:57 PM
jijiki created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 15 2020, 5:57 PM

Change 646638 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] redis: define redis version on buster

https://gerrit.wikimedia.org/r/646638

Change 647197 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] redis: define redis version on buster for multidc

https://gerrit.wikimedia.org/r/647197

Change 646638 abandoned by Effie Mouzeli:
[operations/puppet@production] redis: define redis version on buster

Reason:
abandoned for 647197

https://gerrit.wikimedia.org/r/646638

Change 647204 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] hiera: install redis on mc1036

https://gerrit.wikimedia.org/r/647204

Mentioned in SAL (#wikimedia-operations) [2020-12-10T09:11:12Z] <effie> disable puppet on all hosts running redis - T265643

Change 647197 merged by Effie Mouzeli:
[operations/puppet@production] redis: define redis version on buster for multidc

https://gerrit.wikimedia.org/r/647197

Mentioned in SAL (#wikimedia-operations) [2020-12-10T09:26:31Z] <effie> disable puppet on all mw* hosts for 647204 - T265643

Mentioned in SAL (#wikimedia-operations) [2020-12-10T09:28:19Z] <effie> disable puppet on all hosts running nutcracker for 647204 - T265643

Change 647204 merged by Effie Mouzeli:
[operations/puppet@production] hiera: install redis on shard16

https://gerrit.wikimedia.org/r/647204

Change 649602 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/mediawiki-config@master] Swap mc1033 with mc1034 for Redis lock manager

https://gerrit.wikimedia.org/r/649602

Change 649602 merged by jenkins-bot:
[operations/mediawiki-config@master] Swap mc1033 with mc1034 for Redis lock manager

https://gerrit.wikimedia.org/r/649602

Mentioned in SAL (#wikimedia-operations) [2020-12-15T11:06:15Z] <jiji@deploy1001> Synchronized wmf-config/ProductionServices.php: Swap mc1033 with mc1034 for Redis lock manager - T265643 (duration: 00m 59s)

Change 649836 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/mediawiki-config@master] Swap mc1019 with mc1031 for Redis lock manager

https://gerrit.wikimedia.org/r/649836

Change 649836 merged by jenkins-bot:
[operations/mediawiki-config@master] Swap mc1019 with mc1031 for Redis lock manager

https://gerrit.wikimedia.org/r/649836

Mentioned in SAL (#wikimedia-operations) [2020-12-16T11:19:16Z] <jiji@deploy1001> Synchronized wmf-config/ProductionServices.php: Swap mc1019 with mc1031 for Redis lock manager - T265643 (duration: 01m 17s)

Change 649901 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/mediawiki-config@master] Swap Redis Lock hosts with upgraded ones

https://gerrit.wikimedia.org/r/649901

Change 649901 merged by jenkins-bot:
[operations/mediawiki-config@master] Swap Redis Lock hosts with upgraded ones

https://gerrit.wikimedia.org/r/649901

Mentioned in SAL (#wikimedia-operations) [2020-12-16T16:03:29Z] <jiji@deploy1001> Synchronized wmf-config/ProductionServices.php: Swap Redis lock managers with upgraded ones - T265643 (duration: 01m 03s)

jijiki claimed this task.

We ported version 2.8 to Buster, and all servers were upgraded as part of T213089.